#define PLUGIN_AUTHOR "SpirT" /* DEFINE HERE YOUR PLUGIN AUTHOR */
#define PLUGIN_VERSION "1.0.0" /* DEFINE HERE YOUR PLUGIN VERSION */

#include <sourcemod> /* SOURCEMOD INCLUDE (NEDDED FOR PLUGIN TO WORK)*/
#include <sdktools> /* SDK TOOLS INCLUDE (NEDDED FOR PLUGIN TO WORK) */
#include <colors> /* COLORS INCLUDE FOR COLORED MESSAGE */

/* TUTORIAL HOW TO INSTALL COLORS ON SPEDIT DOWN OF THE CODE */

public Plugin myinfo =
{
	name = "VIPMenu by SpirT",
	author = PLUGIN_AUTHOR,
	version = PLUGIN_VERSION,
	description = "VIPMenu made by SpirT", /* FOR MORE PLUGINS OR PRIVATE ASKS, ADD ME ON STEAM! */
	url = "https://steamcommunity.com/id/spirtbtx" /* MY STEAM PROFILE LINK! */
};

public void OnPluginStart()
{
	RegAdminCmd("sm_vipmenu", cmd_vm, ADMFLAG_CUSTOM1, "VIPMenu Command"); /* client needs flag "o" */
}

public Action cmd_vm(int client, int args)
{
	Menu vipmenu = new Menu(VIPMenu_Handler, MENU_ACTIONS_ALL);
	vipmenu.SetTitle("VIPMenu");
	vipmenu.AddItem("AK47D", "AK47 + Deagle");
	vipmenu.AddItem("M4A4D", "M4A4 + Deagle");
	vipmenu.AddItem("M4A1-SD", "M4A1-S + Deagle");
	vipmenu.AddItem("AWPD", "AWP + Deagle");
	vipmenu.AddItem("MK", "Medic Kit");
	vipmenu.AddItem("WHG", "Whallhack Grenade");
	vipmenu.ExitButton = true;
	vipmenu.Display(client, MENU_TIME_FOREVER);
	
	return Plugin_Handled;
}

public int VIPMenu_Handler(Menu vipmenu, MenuAction action, int param1, int param2)
{
	char choice[32];
	vipmenu.GetItem(param2, choice, sizeof(choice));
	if (action == MenuAction_Select)
	{
		if (StrEqual(choice, "AK47D"))
		{
			GivePlayerItem(param1, "weapon_ak47");
			GivePlayerItem(param1, "weapon_deagle");
			CPrintToChat(param1, "{blue}[VIPMENU] {red}You choosed {purple}AK47 + DEAGLE! {green}HAVE FUN!");
		}
		else if (StrEqual(choice, "M4A4D"))
		{
			GivePlayerItem(param1, "weapon_m4a1");
			GivePlayerItem(param1, "weapon_deagle");
			CPrintToChat(param1, "{blue}[VIPMENU] {red}You choosed {purple}M4A4 + DEAGLE! {green}HAVE FUN!");
		}
		else if (StrEqual(choice, "M4A1-SD"))
		{
			GivePlayerItem(param1, "weapon_m4a1_silencer");
			GivePlayerItem(param1, "weapon_deagle");
			CPrintToChat(param1, "{blue}[VIPMENU] {red}You choosed {purple}M4A1-S + DEAGLE! {green}HAVE FUN!");
		}
		else if (StrEqual(choice, "AWPD"))
		{
			GivePlayerItem(param1, "weapon_AWP");
			GivePlayerItem(param1, "weapon_deagle");
			CPrintToChat(param1, "{blue}[VIPMENU] {red}You choosed {purple}AWP + DEAGLE! {green}HAVE FUN!");
		}
		else if (StrEqual(choice, "MK"))
		{
			GivePlayerItem(param1, "weapon_healthshot");
			CPrintToChat(param1, "{blue}[VIPMENU] {red}You choosed {purple}MEDIC KIT! {green}HAVE FUN!");
		}
		else if (StrEqual(choice, "WHG"))
		{
			GivePlayerItem(param1, "weapon_tagrenade");
			CPrintToChat(param1, "{blue}[VIPMENU] {red}You choosed {purple}WHALLHACK GRENADE! {green}HAVE FUN!");
		}
	}
	else if (action == MenuAction_End)
	{
		delete vipmenu;
	}
}

/* FOR COLORS INSTALATION OR ANOTHER INCLUDE DO: */
/* PRESS Windows + R */
/* WRITE "appdata" */
/* GO TO "Roaming\spedit\sourcepawn\configs\sm_1_8_5995\include" */
/* AND PASTE YOUR INCLUDE THERE! */ 
/* HOPE THAT HELPED YOU! */